🚧 [Experimental] List Spark application log
Returns a fragment of the specified Spark application log.
Request
POST
https://api.datalens.tech/rpc/listSparkApplicationLog
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"clusterId": "example",
"applicationId": "example",
"pageSize": 0,
"pageToken": "example"
}
|
Name |
Description |
|
applicationId |
Type: string ID of the Spark application. Min length: Max length: Example: |
|
clusterId |
Type: string ID of the Spark cluster. Min length: Max length: Example: |
|
pageSize |
Type: integer Maximum length of the returned log fragment. Min value: Max value: |
|
pageToken |
Type: string Token for the next fragment of the Spark application log. Max length: Example: |
Responses
200 OK
Response
Body
application/json
{
"content": "example",
"nextPageToken": "example"
}
|
Name |
Description |
|
content |
Type: string Requested fragment of the Spark application log. Example: |
|
nextPageToken |
Type: string Token for the next fragment of the Spark application log. Max length: Example: |